import string
import unittest

from rainbowadn.atomic import *
from rainbowadn.collection.linear import *
from rainbowadn.core import *


class TestTL(unittest.IsolatedAsyncioTestCase):
    async def test_tl(self):
        root = TLRootFactory(TLRParametres(2, Plain.factory())).empty()
        for char in string.ascii_uppercase:
            root = await root.add(HashPoint.of(Plain(char.encode())))
        print(await root.str(0))
        print((await root.node_resolved()).parametres.height)
